POST /api/v202410/esaReading/summarized/delete

Deletes existing summarized readings. Each set of meter readings to be deleted is on one channel and covers a time range signified by a begin and end date and time. The time range includes all readings greater than the begin time and less than or equal to the end date and time. To delete only one reading, set the begin and end date and time to the same value. If the summarized reading is system-generated, the endpoint will return an error indicating that it cannot be deleted.

DeleteEsaSummarizedReadingsV202410

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

EsaReadingSummarizedDelete
Property Description Type
esaChannelId The identifier for the ESA channel of the reading Required integer (int32)
timeBegin

The begin date and time of the set of readings to be deleted. If provided, readings after (but not including) this date and time will be deleted. If provided, and equal to TimeEnd, delete the single reading at this date and time (if present). If not provided, readings since the start of time will be deleted. If TimeEnd is also not provided, ALL readings belonging to EsaChannelId will be deleted.

If UseDataPointTimeZone is false, this time is interpreted as an absolute timestamp. For example, “2024-01-01 05:00:00 -04:00”.

If UseDataPointTimeZone is true, the following applies:

The time is presumed to be in the time zone of the data point. If an offset is provided, it will be ignored. For example, if “2024-01-01 05:00:00 -04:00” is provided but the time zone of the data point is “GMT” then this will get turned into “2024-01-01 05:00:00 +00:00” before being applied. If an ambiguous time is provided (for instance 01:30 when the clocks go backward for a DST change) then choose the earliest one in absolute time. If an invalid time is provided (for example 02:30 when the clocks go forward for a DST change) then shift forward by the amount of the DST change (in this example, +1hr will make it 03:30, in the DataPoint’s time zone).

string (date-time)
timeEnd

The end date and time of the set of readings to be deleted. If provided, readings up to (and including) this date and time will be deleted. If provided, and equal to TimeBegin, delete the single reading at this date and time (if present). If not provided, readings until the end of time will be deleted. If TimeBegin is also not provided, ALL readings belonging to EsaChannelId will be deleted.

See TimeBegin for a discussion of how the value of UseDataPointTimeZone affects the interpretation of this value.

string (date-time)
useDataPointTimeZone boolean
Example Request Body application/json
[
  {    "esaChannelId": 1,    "timeBegin": "2026-03-30",    "timeEnd": "2026-03-30",    "useDataPointTimeZone": false
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EsaDeleteReadingSummarizedResponse
Property Description Type
deleted The number of readings deleted integer (int32)
failures Data representing the failed reading deletion EsaReadingSummarizedDelete[]
EsaReadingSummarizedDelete properties
Property Description Type
esaChannelId The identifier for the ESA channel of the reading Required integer (int32)
timeBegin

The begin date and time of the set of readings to be deleted. If provided, readings after (but not including) this date and time will be deleted. If provided, and equal to TimeEnd, delete the single reading at this date and time (if present). If not provided, readings since the start of time will be deleted. If TimeEnd is also not provided, ALL readings belonging to EsaChannelId will be deleted.

If UseDataPointTimeZone is false, this time is interpreted as an absolute timestamp. For example, “2024-01-01 05:00:00 -04:00”.

If UseDataPointTimeZone is true, the following applies:

The time is presumed to be in the time zone of the data point. If an offset is provided, it will be ignored. For example, if “2024-01-01 05:00:00 -04:00” is provided but the time zone of the data point is “GMT” then this will get turned into “2024-01-01 05:00:00 +00:00” before being applied. If an ambiguous time is provided (for instance 01:30 when the clocks go backward for a DST change) then choose the earliest one in absolute time. If an invalid time is provided (for example 02:30 when the clocks go forward for a DST change) then shift forward by the amount of the DST change (in this example, +1hr will make it 03:30, in the DataPoint’s time zone).

string (date-time)
timeEnd

The end date and time of the set of readings to be deleted. If provided, readings up to (and including) this date and time will be deleted. If provided, and equal to TimeBegin, delete the single reading at this date and time (if present). If not provided, readings until the end of time will be deleted. If TimeBegin is also not provided, ALL readings belonging to EsaChannelId will be deleted.

See TimeBegin for a discussion of how the value of UseDataPointTimeZone affects the interpretation of this value.

string (date-time)
useDataPointTimeZone boolean
Example Response application/json
{  "deleted": 1,  "failures": [
    {    "esaChannelId": 1,    "timeBegin": "2026-03-30",    "timeEnd": "2026-03-30",    "useDataPointTimeZone": false
  }
  ]
}